Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.core.swt.renderer
Class AbstractControl_PTest

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.core.swt.renderer.AbstractControl_PTest

Direct Known Subclasses:
  BooleanControlRenderer_PTest, DateTimeControlRenderer_PTest, EnumComboViewerRenderer_PTest, NumberControlRenderer_PTest, TextControlRenderer_PTest, XMLDateControlRenderer_PTest

    public abstract class AbstractControl_PTest

extends Object

Nested Class Summary
`static interface` | `AbstractControl_PTest.TestObservableValue` Helper Interface for mocking.

Constructor Summary
`AbstractControl_PTest()`

Method Summary
`void` | `renderValidationIconLabelAlignmentLeft()`
`void` | `renderValidationIconLabelAlignmentNone()`
`void` | `testGridDescriptionLabelAlignmentLeft()`
`void` | `testGridDescriptionLabelAlignmentNone()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractControl_PTest

    public AbstractControl_PTest()

Method Detail

### testGridDescriptionLabelAlignmentNone

    public void testGridDescriptionLabelAlignmentNone()

### testGridDescriptionLabelAlignmentLeft

    public void testGridDescriptionLabelAlignmentLeft()

### renderValidationIconLabelAlignmentNone

    public void renderValidationIconLabelAlignmentNone()
                                                throws NoRendererFoundException,
                                                       NoPropertyDescriptorFoundExeption

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`

### renderValidationIconLabelAlignmentLeft

    public void renderValidationIconLabelAlignmentLeft()
                                                throws NoRendererFoundException,
                                                       NoPropertyDescriptorFoundExeption

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.